Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.controller
Class EmptyLineFilter.EmptyLineFilterStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.makumba.controller.EmptyLineFilter.EmptyLineFilterStream

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  EmptyLineFilter

     class EmptyLineFilter.EmptyLineFilterStream

extends ServletOutputStream

Constructor Summary
`EmptyLineFilter.EmptyLineFilterStream(OutputStream outStream)`

Method Summary
`void` | `close()`
`void` | `flush()`
`void` | `processStream()`
`byte[]` | `replaceContent(byte[] inBytes)`
`void` | `write(byte[] b, int off, int len)`
`void` | `write(int i)`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.io.OutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyLineFilter.EmptyLineFilterStream

    public EmptyLineFilter.EmptyLineFilterStream(OutputStream outStream)

Method Detail

### write

    public void write(int i)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

### processStream

    public void processStream()
                       throws IOException

  Throws:
    `IOException`

### replaceContent

    public byte[] replaceContent(byte[] inBytes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20